6.0.0-git
2021-01-18

[#6899] broken address validation
Summary broken address validation
Queue IMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester adrieder (at) sbox (dot) tugraz (dot) at
Created 2008-06-11 (4604 days ago)
Due 06/11/2008 (4604 days ago)
Updated 2008-06-16 (4599 days ago)
Assigned 2008-06-15 (4600 days ago)
Resolved 2008-06-16 (4599 days ago)
Milestone
Patch No

History
2008-06-16 14:36:22 Chuck Hagenbuch Comment #12 Reply to this comment
Right, and it is good to know that you are one of the authors of 
that package ;-)
Still no reason not to use the correct bug tracker. Which this turned 
out to be in this case, but the point remains.
2008-06-16 07:51:46 adrieder (at) sbox (dot) tugraz (dot) at Comment #11 Reply to this comment
Fixed. We weren't quoting the display portion of the address string
correctly if it contains a period (this wasn't required to be quoted
by RFC 822, but is required under RFC 2822), so Mail_RFC822 was
correctly reporting that the address was invalid.
Thanks, it works now!
2008-06-16 07:23:11 Michael Slusarz Comment #10
Assigned to Michael Slusarz
State ⇒ Resolved
Priority ⇒ 2. Medium
Reply to this comment
Fixed. We weren't quoting the display portion of the address string 
correctly if it contains a period (this wasn't required to be quoted 
by RFC 822, but is required under RFC 2822), so Mail_RFC822 was 
correctly reporting that the address was invalid.
2008-06-16 07:21:04 CVS Commit Comment #9 Reply to this comment
2008-06-16 06:46:35 CVS Commit Comment #8 Reply to this comment
2008-06-16 06:20:59 adrieder (at) sbox (dot) tugraz (dot) at Comment #7 Reply to this comment
But the error is still coming from the PEAR package, not from Horde.
Right, and it is good to know that you are one of the authors of that 
package ;-)
2008-06-15 17:04:46 Chuck Hagenbuch Comment #6
State ⇒ Feedback
Reply to this comment
But the error is still coming from the PEAR package, not from Horde.
2008-06-15 14:30:39 Jan Schneider Comment #5
State ⇒ Assigned
Reply to this comment
Same here, that patch didn't fix it.
2008-06-15 13:51:21 adrieder (at) sbox (dot) tugraz (dot) at Comment #4 Reply to this comment
This is a bug in PEAR::Mail, not in Horde or IMP.
FWIW, I don't see this with PEAR::Mail from CVS (1.2.0a2+).  This
might have fixed things:
http://pear.php.net/bugs/bug.php?id=9137
Strange, it doesn't work here.

"a.a" nospam@tugraz.at -> works

"a.a" <nospam@tugraz.at> -> fails


2008-06-13 06:06:08 Michael Slusarz Comment #3 Reply to this comment
This is a bug in PEAR::Mail, not in Horde or IMP.
FWIW, I don't see this with PEAR::Mail from CVS (1.2.0a2+).  This 
might have fixed things:

http://pear.php.net/bugs/bug.php?id=9137
2008-06-11 20:24:09 Chuck Hagenbuch Comment #2
State ⇒ Rejected
Reply to this comment
This is a bug in PEAR::Mail, not in Horde or IMP.
2008-06-11 12:51:21 adrieder (at) sbox (dot) tugraz (dot) at Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 3. High
Summary ⇒ broken address validation
Due ⇒ 2008-06-11
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
When trying to send a message to an address that has a dot in the name 
part which is not followed by a blank I get a address validation error:



e.g. "a.a.a" <nospam@tugraz.at>



There was an error sending your message: Validation failed for: a.a.a 
<nospam@tugraz.at>



This should not happen, there is nothing wrong with the address.



"a.a.a d" <nospam@tugraz.at> -> works

"a.a.a d.d" <nospam@tugraz.at> -> works

"a. a." <nospam@tugraz.at> -> works

Saved Queries